NobGit
public nobgit read

NobMail

Based on mailcow: dockerized

Languages

Repository composition by tracked source files.

PHP
PHP 49% JavaScript 35% HTML 9% CSS 4% Shell 2% Python 1% Lua 0% Perl 0% Ruby 0% SCSS 0%
Create file Wiki Documentation
Clone
https://nobgit.com/orgs/nobgit/nobmail.git
ssh://[email protected]:2222/orgs/nobgit/nobmail.git

Commit

Removed thread prompt again. Added notice message

b73d879f
DerLinkman <[email protected]> 3 years, 9 months ago
helper-scripts/backup_and_restore.sh | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

Diff

diff --git a/helper-scripts/backup_and_restore.sh b/helper-scripts/backup_and_restore.sh
index 035120e1..e212bd77 100755
--- a/helper-scripts/backup_and_restore.sh
+++ b/helper-scripts/backup_and_restore.sh
@@ -48,22 +48,20 @@ else
   fi
 fi
 
-if [[ -z ${THREADS} ]]; then
-  read -ep "How many threads do you want to use? (Default $(echo "CPU threads: $(grep -c processor /proc/cpuinfo)" | grep -E -o "[0-9]+")):" THREADS
-  THREADS=${THREADS:-$(echo "CPU threads: $(grep -c processor /proc/cpuinfo)" | grep -E -o "[0-9]+")}
-fi
-
-if ! [[ "${THREADS}" =~ ^[0-9]+$ ]] ; then
-  echo "Thread input is not a number!"
-  exit 1
-fi
-
 BACKUP_LOCATION=$(echo ${BACKUP_LOCATION} | sed 's#/$##')
 SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 COMPOSE_FILE=${SCRIPT_DIR}/../docker-compose.yml
 ENV_FILE=${SCRIPT_DIR}/../.env
 THREADS=$(echo ${THREADS:-1})
 
+if ! [[ "${THREADS}" =~ ^[1-9]+$ ]] ; then
+  echo "Thread input is not a number!"
+  exit 1
+elif [[ "${THREADS}" =~ ^[1-9]+$ ]] ; then
+  echo "Using ${THREADS} Thread(s) for this run." 
+  echo "Notice: You can set the Thread count with the THREADS Variable before you run this script."
+fi
+
 if [ ! -f ${COMPOSE_FILE} ]; then
   echo "Compose file not found"
   exit 1